## koko 23.08.5%2Bds.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(koko VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(QT5_MIN_VERSION 5.15.2)
set(KF_MIN_VERSION 5.87)
set(KDE_COMPILERSETTINGS_LEVEL 5.84)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMQMLModules)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KOKO
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)
find_package(Qt${QT_MAJOR_VERSION} ${QT5_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)

if(ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT5_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)

find_package(LibExiv2 0.21 REQUIRED)

ecm_find_qmlmodule(org.kde.kquickimageeditor 1.0)
find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

ecm_find_qmlmodule(QtGraphicalEffects 1.0)

find_package(Qt${QT_MAJOR_VERSION}X11Extras ${QT5_MIN_VERSION})
set_package_properties(Qt${QT_MAJOR_VERSION}X11Extras PROPERTIES
    DESCRIPTION "Qt extras for the X11 platform"
    PURPOSE "Required for getting display color profile on X11"
    TYPE OPTIONAL
)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    PURPOSE "Required for getting display color profile on X11"
    TYPE OPTIONAL
)

find_package(Qt${QT_MAJOR_VERSION}QuickControls2 ${QT5_MIN_VER})
set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES
    DESCRIPTION "User interface controls based on Qt Quick"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

find_package(KF${QT_MAJOR_VERSION}Kirigami2)
set_package_properties(KF${QT_MAJOR_VERSION}Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/src
)

ki18n_install(po)

kde_enable_exceptions()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(icons)

install(FILES org.kde.koko.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## koko 23.04.2

=== debian/changelog ===
koko (23.04.2-0xneon+22.04+jammy+release+build10) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 12:49:20 +0000

koko (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:12:33 +0000

koko (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 20:01:06 +0000

koko (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 20:01:06 +0000

koko (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 20:01:06 +0000

koko (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:27:39 +0000

koko (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 20:01:08 +0000

koko (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 20:01:07 +0000

koko (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 20:01:06 +0000

koko (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 20:01:04 +0000

koko (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 16:33:07 +0000

koko (21.06-0neon) focal; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:47 +0000

=== debian/control ===
Source: koko
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: baloo-kf5-dev,
               cmake (>= 2.6.2),
               debhelper (>= 9),
               extra-cmake-modules,
               kquickimageeditor-dev,
               libexiv2-dev (>= 0.21),
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5svg5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtpositioning5-dev,
               wget
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Vcs-Git: https://invent.kde.org/neon/mobile/koko.git
Vcs-Browser: https://invent.kde.org/neon/mobile/koko
Maintainer: Neon CI <neon@kde.org>

Package: koko
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickimageeditor,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Gallery
 A KDE Image Gallery.

Package: koko-dbg
Section: debug
Architecture: any
Priority: extra
Depends: koko (= ${binary:Version}), ${misc:Depends}
Description: KDE Image Gallery - debug symbols
 A KDE Image Gallery.
 .
 This package contains debugging files used to investigate problems with
 the Qt Cryptographic Architecture libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

GEONAME_DATA_FILES := cities1000.zip admin1CodesASCII.txt admin2Codes.txt
GEONAME_DUMPS := $(addprefix debian/geonames/, $(GEONAME_DATA_FILES))
GEONAME_SRCS := $(addprefix src/, $(GEONAME_DATA_FILES))

debian/geonames/%:
	mkdir -p debian/geonames/
	cd debian/geonames/ && wget -q http://download.geonames.org/export/dump/$*

geonames_deploy: $(GEONAME_DUMPS)
	cp -v $(GEONAME_DUMPS) src/

geonames_undeploy: $(GEONAME_DUMPS)
	rm -rf $(GEONAME_SRCS)

override_dh_clean: geonames_undeploy
	$(overridden_command)

override_dh_auto_configure: geonames_deploy
	$(overridden_command)

override_dh_strip:
	$(overridden_command) --dbg-package=koko-dbg

.PHONY: geonames_deploy geonames_undeploy override_dh_clean override_dh_auto_configure override_dh_auto_test

## koko 23.08.3+ds.1

=== debian/changelog ===
koko (23.08.3+ds.1-2) unstable; urgency=medium

  * Include debian/* paragraph into d/copyright

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 25 Nov 2023 22:18:08 +0100

koko (23.08.3+ds.1-1) unstable; urgency=medium

  * Initial release. Closes: #1023392

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 21 Nov 2023 22:36:11 +0100

=== debian/control ===
Source: koko
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami2-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libkf5config-dev,
               libkf5declarative-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libqt5gui5,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qtbase5-private-dev,
               qtpositioning5-dev,
               qtquickcontrols2-5-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/graphics/koko
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/koko
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/koko.git
Rules-Requires-Root: no

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
         qml-module-org-kde-kquickimageeditor,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: libqt5x11extras5
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: libkokocommon0.0.1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile -- shared library
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains its shared library.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp
	
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run -a dh_auto_test
endif

## koko 23.08.5+ds.1

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014  Vishesh Handa <vhanda@kde.org>
# SPDX-License-Identifier: LGPL-2.1-or-later

ecm_install_icons(ICONS
    128-apps-koko.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
koko (23.08.5+ds.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:36:55 +0000

koko (23.08.5+ds.1-1ubuntu1) noble; urgency=medium

  * Do not build depend on libqt5gui5 as time_t64 transition has renamed
    that lib, and it is superfluous as Qt -dev packages depend on the
    correct version anyway.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 06:26:03 +0000

koko (23.08.5+ds.1-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright after upstream changes
  * Add test into d/rules to ensure repack has been done right
  * Add deps into d/control that are needed for non-Plasma environments

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 20 Feb 2024 19:23:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: koko
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -15,7 +16,6 @@
                libkf5i18n-dev,
                libkf5notifications-dev,
                libkf5plasma-dev,
-               libqt5gui5,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libxcb-util-dev,
@@ -35,7 +35,10 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
+         libkf5purpose5,
+         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-kquickimageeditor,
+	 qml-module-org-kde-qqc2breezestyle | qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: libqt5x11extras5

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp
-	
+
+execute_before_dh_auto_configure:
+	# Ensure the repacked archive has the required files
+	test -f src/cities1000.zip
+
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts=pgpmode=auto,dversionmangle=s/\+ds//,repacksuffix=+ds https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## koko 24.12.0

=== debian/changelog ===
koko (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update watch file to match the rest of Gear, as tarball re-pack is
    no longer needed.
  * New build depend on kirigami-addons-dev
  * Remove no longer built library package.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Dec 2024 10:12:06 +0000

koko (24.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Drop workarounds for reproducibility when changing the build path
    now that reproducible builds are done in a constant location.
  * Reexport upstream signing keys without extra signatures.

  [ Marco Mattiolo ]
  * New upstream release
  * Update d/rules for building on KF6 instead of KF5
  * Drop patches that have been merged upstream
  * Update d/control after upstream changes (Closes: #1079661)
  * Update d/koko.install after upstream changes
  * Update libkokocommon0.0.1.symbols after upstream changes
  * Update d/copyright after upstream changes
  * Standards-version 4.7.0 (no changes needed)
  * Copy files from other source folder, no repack needed

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Tue, 17 Dec 2024 19:18:04 +0100

koko (23.08.5+ds.1-2) unstable; urgency=medium

  [ James Addison ]
  * Fix build reproducibility for timestamps in zip (Closes: #1066088)

  [ Marco Mattiolo ]
  * Update d/control for build-deps after time64 transition (Closes: #1068074)
  * Fix build reproducibility for cmake_rpath_contains_build_path

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 13 Apr 2024 23:11:58 +0200

## koko 24.12.1

=== debian/changelog ===
koko (24.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add qt6-declarative-private-dev to build-deps as workaround to #1087385.
  * Drop libkokocommon0.0.1 after upstream changes.
  * Backport the upstream patch about coreaddons QML import.

  [ Aurélien COUDERC ]
  * Drop repack suffix from watch file.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:05:50 +0100

=== debian/control ===
Source: koko
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240~),
               kirigami-addons-dev,
               kquickimageeditor-dev,
               libexiv2-dev (>= 0.21~),
               libkf6config-dev (>= 5.240~),
               libkf6configwidgets-dev (>= 5.240~),
               libkf6coreaddons-dev (>= 5.240~),
               libkf6dbusaddons-dev (>= 5.240~),
               libkf6declarative-dev (>= 5.240~),
               libkf6filemetadata-dev (>= 5.240~),
               libkf6guiaddons-dev (>= 5.240~),
               libkf6i18n-dev (>= 5.240~),
               libkf6kio-dev (>= 5.240~),
               libkf6notifications-dev (>= 5.240~),
               libkf6purpose-dev,
               libkirigami-dev,
               libxcb-util-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev (>= 6.5~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/koko
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/koko
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/koko.git
Rules-Requires-Root: no

Package: koko
Architecture: any
Multi-Arch: foreign
Depends: koko-data (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Image gallery for Plasma mobile
 Koko is an image viewer designed for desktop and touch devices.
 .
 It is based on Kirigami, being therefore able to adapt nicely to desktops,
 phones, big screens and potentially everything else.
 .
 It features a gallery and an image viewer, plus the chance to do simple
 image modifications (crop, rotation) in-app thanks to the kquickimageeditor.

Package: koko-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Image gallery for Plasma mobile -- data files
 Koko is an image viewer designed for desktop and touch devices.
 .
 This package contains architecture-independent data files.

=== debian/watch ===
version=4
opts=pgpmode=auto, https://download.kde.org/stable/release-service/@ANY_VERSION@/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## koko 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(koko VERSION ${RELEASE_SERVICE_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(QT_MIN_VERSION 6.5)
set(KF_MIN_VERSION 5.240)
set(KDE_COMPILERSETTINGS_LEVEL 5.84)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(FeatureSummary)
include(ECMAddTests)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMFindQmlModule)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMSetupVersion)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KOKO
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)

qt_policy(SET QTP0001 NEW)

if(ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS AndroidExtras)
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)

find_package(LibExiv2 0.21 REQUIRED)

ecm_find_qmlmodule(org.kde.kquickimageeditor)
find_package(KQuickImageEditor COMPONENTS)
set_package_properties(KQuickImageEditor PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Simple image editor for QtQuick applications"
    URL "https://invent.kde.org/libraries/kquickimageeditor/"
    PURPOSE "Add image editing capability to image attachments"
)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    PURPOSE "Required for getting display color profile on X11"
    TYPE OPTIONAL
)

find_package(Qt6QuickControls2 ${QT_MIN_VER} REQUIRED)
set_package_properties(Qt6QuickControls2 PROPERTIES
    DESCRIPTION "User interface controls based on Qt Quick"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

find_package(KF6Kirigami)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime to run Koko"
    TYPE RUNTIME
)

ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard REQUIRED)
ecm_find_qmlmodule(org.kde.kirigamiaddons.delegates REQUIRED)

find_package(KF6KirigamiAddons)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required runtime dependency"
)

find_package(KF6Purpose)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Offers available actions for a specific purpose"
    PURPOSE "Required at runtime to run Koko and allow sharing of files"
    TYPE RUNTIME
)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}/src
)

ki18n_install(po)

kde_enable_exceptions()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(icons)

install(FILES org.kde.koko.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
koko (24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:56 -0500

koko (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:45:27 +0000

koko (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:06:31 +0000

koko (24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:04:44 -0600

koko (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:35:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: koko
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.240~),
                kirigami-addons-dev,
                kquickimageeditor-dev,
@@ -27,23 +26,33 @@
                pkg-kde-tools,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
-               qt6-declarative-private-dev,
                qt6-positioning-dev (>= 6.5~),
                qt6-svg-dev (>= 6.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/koko
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/koko
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/koko.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
 Rules-Requires-Root: no
 
 Package: koko
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
+         qml6-module-org-kde-breeze,
+         qml6-module-org-kde-kirigami,
+         qml6-module-org-kde-kirigamiaddons-components,
+         qml6-module-org-kde-kirigamiaddons-delegates,
+         qml6-module-org-kde-kirigamiaddons-formcard,
+         qml6-module-org-kde-kquickcontrolsaddons,
+         qml6-module-org-kde-kquickimageeditor,
+         qml6-module-org-kde-purpose,
+         qml6-module-org-kde-quickcharts,
+         qml6-module-qtqml-workerscript,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-window,
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Image gallery for Plasma mobile
  Koko is an image viewer designed for desktop and touch devices.

=== debian/rules ===
#!/usr/bin/make -f
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6

execute_before_dh_auto_configure:
	# src/CMakeLists.txt expects to find these files, otherwise it will try to download
	# them from download.geonames.org, then let's use the ones that upstream has
	# included inside the flatpak/ folder
	cp -f flatpak/admin1CodesASCII.txt src/
	cp -f flatpak/admin2Codes.txt src/
	cp -f flatpak/cities1000.zip src/

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run -a dh_auto_test
endif

## koko 25.04.0

=== debian/changelog ===
koko (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:49 +0200

koko (24.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.2 (no changes needed).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Drop d/patches/003 patch that has been applied upstream.
  * Add/update Heiko Becker in upstream signing keys.

  [ Aurélien COUDERC ]
  * Add lintian overrides for LGPL2/2.1 using the old FSF address.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Apr 2025 21:12:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: koko
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240~),
                kirigami-addons-dev,
                kquickimageeditor-dev,
@@ -26,33 +27,23 @@
                pkg-kde-tools,
                qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                qt6-positioning-dev (>= 6.5~),
                qt6-svg-dev (>= 6.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Homepage: https://invent.kde.org/graphics/koko
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/koko
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/koko/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/koko
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/koko.git
 Rules-Requires-Root: no
 
 Package: koko
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
-         qml6-module-org-kde-breeze,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-kirigamiaddons-components,
-         qml6-module-org-kde-kirigamiaddons-delegates,
-         qml6-module-org-kde-kirigamiaddons-formcard,
-         qml6-module-org-kde-kquickcontrolsaddons,
-         qml6-module-org-kde-kquickimageeditor,
-         qml6-module-org-kde-purpose,
-         qml6-module-org-kde-quickcharts,
-         qml6-module-qtqml-workerscript,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-window,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Image gallery for Plasma mobile
  Koko is an image viewer designed for desktop and touch devices.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6
+	dh $@
 
 execute_before_dh_auto_configure:
 	# src/CMakeLists.txt expects to find these files, otherwise it will try to download

## koko 25.04.3

=== debian/changelog ===
koko (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:48:31 +0100

koko (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:51:48 +0100

koko (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:13 +0100

koko (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:54:39 +0100

## koko 25.07.80

=== debian/changelog ===
koko (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Drop no more needed 002_reproducible_cities1000.patch
  * debian/rules: Drop workaround for data files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:16:58 +0100

## koko 25.07.90

=== debian/changelog ===
koko (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:52:14 +0100

## koko 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(QT_MIN_VERSION 6.5)
 set(KF_MIN_VERSION 5.240)
 set(KDE_COMPILERSETTINGS_LEVEL 5.84)
@@ -36,6 +36,9 @@
     VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
 )
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test Sql Positioning Svg)
+if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
+endif()
 
 qt_policy(SET QTP0001 NEW)

=== debian/changelog ===
koko (25.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * d/control: depend on libgdk-pixbuf2.0-bin (Closes: #1111079).
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * Drop no more needed debian/patches/002_reproducible_cities1000.patch.
  * d/rules: drop the workaround as now upstream handles those files properly.
  * d/copyright: drop lines for non-existing files pointed out by lintian.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 16 Aug 2025 18:54:14 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                libxcb-util-dev,
                pkg-kde-tools,
                qt6-base-dev (>= 6.5~),
+               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.5~),
                qt6-declarative-private-dev,
                qt6-positioning-dev (>= 6.5~),
@@ -42,6 +43,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: koko-data (= ${source:Version}),
+	 libgdk-pixbuf2.0-bin,
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},

## koko 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Vishesh Handa <vhanda@kde.org>
# SPDX-FileCopyrightText: 2019 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-FileCopyrightText: 2021 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: LGPL-2.1-or-later

add_library(koko_static STATIC
    imagestorage.cpp
    exiv2extractor.cpp
    filesystemimagefetcher.cpp
    openfilemodel.cpp
    reversegeocoder.cpp
    filesystemtracker.cpp
    processor.cpp
    committimer.cpp
    imageprocessorrunnable.cpp
    vectorimage.cpp
    controller.cpp
    kdtree.cpp
    filemenu.h
    filemenu.cpp
    dirmodelutils.cpp
    openfilemodel.cpp
    imagelocationmodel.cpp
    imagefavoritesmodel.cpp
    imagetagsmodel.cpp
    imagetimemodel.cpp
    imagefoldermodel.cpp
    sortmodel.cpp
    imagelistmodel.cpp
    notificationmanager.cpp
    types.cpp
    roles.cpp
    fileinfo.cpp
    displaycolorspace.cpp
    photosapplication.cpp
    photosapplication.h
)

kconfig_target_kcfg_file(koko_static
    FILE kokoconfig.kcfg
    CLASS_NAME Config
    MUTATORS
    GENERATE_PROPERTIES
    GENERATE_MOC
    DEFAULT_VALUE_GETTERS
    SINGLETON
    QML_REGISTRATION
)

target_link_libraries(koko_static PUBLIC
    Qt::Qml
    Qt::Quick
    Qt::Widgets
    Qt::Core
    Qt::Positioning
    Qt::Sql
    Qt::Svg
    Qt::QuickControls2
    KF6::CoreAddons
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::DBusAddons
    KF6::GuiAddons
    KF6::FileMetaData
    KF6::ConfigGui
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::I18n
    KF6::I18nQml
    KF6::Notifications
    KirigamiAddonsStatefulApp
    LibExiv2::LibExiv2
)

ecm_add_qml_module(koko_static
    URI "org.kde.koko"
    GENERATE_PLUGIN_SOURCE
)

ecm_target_qml_sources(koko_static SOURCES
    qml/AlbumDelegate.qml
    qml/AlbumView.qml
    qml/BottomNavBar.qml
    qml/EditorView.qml
    qml/ImageMetadataPage.qml
    qml/ImageViewPage.qml
    qml/InfoDrawer.qml
    qml/InfoDrawerSidebarBase.qml
    qml/InfoSidebar.qml
    qml/Main.qml
    qml/OverviewControl.qml
    qml/PlacesPage.qml
    qml/SelectionButton.qml
    qml/ShareAction.qml
    qml/ShareDialog.qml
    qml/ShareDrawer.qml
    qml/Sidebar.qml
    qml/SlideshowManager.qml
    qml/TagInput.qml
    qml/ThumbnailStrip.qml
    qml/ZoomArea.qml
    qml/Settings/PhotosConfigurationView.qml
    qml/Settings/GeneralConfigPage.qml
)

ecm_target_qml_sources(koko_static PRIVATE
    PATH imagedelegate
    SOURCES
        qml/imagedelegate/AnimatedImageDelegate.qml
        qml/imagedelegate/BaseImageDelegate.qml
        qml/imagedelegate/RasterImageDelegate.qml
        qml/imagedelegate/VectorImageDelegate.qml
        qml/imagedelegate/VideoDelegate.qml
        qml/imagedelegate/VideoPlayer.qml
)

ecm_target_qml_sources(koko_static PRIVATE
    PATH Dialog
    SOURCES
        qml/Dialog/ConfirmDiscardingChange.qml
)

if(ANDROID)
    target_link_libraries(koko_static PUBLIC Qt::AndroidExtras)
else()
    target_link_libraries(koko_static PUBLIC KF6::WindowSystem)
endif()

if (TARGET XCB::XCB)
    target_compile_definitions(koko_static PUBLIC HAVE_X11)
    target_link_libraries(koko_static PUBLIC XCB::XCB Qt6::GuiPrivate)
endif()

add_subdirectory(resources)

add_executable(koko
    main.cpp
)

target_link_libraries(koko PRIVATE
    koko_static
    koko_staticplugin
)

install(FILES koko.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
install(FILES org.kde.koko.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(TARGETS koko ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
koko (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:12:45 +0100

koko (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:55:33 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run -a dh_auto_test
endif

## koko 25.08.1+p24.04+vstable+git20250926.0951

=== debian/changelog ===
koko (25.08.1+p24.04+vstable+git20250926.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:51:56 +0000

koko (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:51:27 +0000

koko (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:13:29 +0000

koko (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:49:47 +0000

koko (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:39:33 +0000

koko (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:08:25 +0000

koko (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:32:29 +0000

koko (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:05:27 +0000

koko (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:23:21 +0000

koko (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:24:54 +0000

koko (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:10:18 +0000

koko (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:33:59 +0000

koko (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:30:13 +0000

koko (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:22:37 +0000

koko (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:04:57 +0000

koko (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:19:03 +0000

koko (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:04:05 +0000

koko (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:52:29 +0000

koko (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:29:14 +0000

koko (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:12:05 +0000

koko (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:06:55 +0000

koko (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:55:09 +0000

koko (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:37:33 +0000

koko (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:12:33 +0000

## koko 25.08.1+p24.04+vstable+git20251001.0651

=== debian/changelog ===
koko (25.08.1+p24.04+vstable+git20251001.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:51:15 +0000

## koko 25.08.2

=== debian/changelog ===
koko (25.08.2-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 23:48:30 +0000

koko (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:19:43 +0000

## koko 25.08.2+p24.04+vstable+git20251019.0400

=== debian/changelog ===
koko (25.08.2+p24.04+vstable+git20251019.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:00:34 +0000

## koko 25.08.2+p24.04+vstable+git20251031.0942

=== debian/changelog ===
koko (25.08.2+p24.04+vstable+git20251031.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:43:07 +0000

## koko 25.08.2+p24.04+vunstable+git20251016.2348

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -39,6 +39,7 @@
 if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
     find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
 endif()
+find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS PrintSupport)
 
 qt_policy(SET QTP0001 NEW)
 
@@ -48,7 +49,7 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)
 
-find_package(LibExiv2 0.21 REQUIRED)
+find_package(LibExiv2 0.28 REQUIRED)
 
 ecm_find_qmlmodule(org.kde.kquickimageeditor)
 find_package(KQuickImageEditor COMPONENTS)

=== debian/changelog ===
koko (25.08.2+p24.04+vunstable+git20251016.2348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 23:48:57 +0000

## koko 25.08.2+p24.04+vunstable+git20251020.0356

=== debian/changelog ===
koko (25.08.2+p24.04+vunstable+git20251020.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:57:01 +0000

## koko 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(koko VERSION ${RELEASE_SERVICE_VERSION})
@@ -39,7 +39,6 @@
 if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
     find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
 endif()
-find_package(Qt6 ${QT_MIN_VERSION} COMPONENTS PrintSupport)
 
 qt_policy(SET QTP0001 NEW)
 
@@ -49,7 +48,7 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n Declarative Config ConfigWidgets KIO GuiAddons CoreAddons Notifications FileMetaData DBusAddons)
 
-find_package(LibExiv2 0.28 REQUIRED)
+find_package(LibExiv2 0.21 REQUIRED)
 
 ecm_find_qmlmodule(org.kde.kquickimageeditor)
 find_package(KQuickImageEditor COMPONENTS)

=== debian/changelog ===
koko (25.08.3-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:12:10 +0000

koko (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:03 +1000

=== debian/control ===
Source: koko
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libplasma-dev,
               libxcb-util-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev,
               qt6-svg-dev,
               wget
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/koko.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/koko
Maintainer: Neon CI <neon@kde.org>

Package: koko
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-purpose,
         qml6-module-qt5compat-graphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Gallery
 A KDE Image Gallery.

Package: koko-dbg
Architecture: all
Depends: koko, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
